Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.neural.networks.training.genetic
Class NeuralGenome

    java.lang.Object
      org.encog.ml.genetic.genome.BasicGenome
          org.encog.neural.networks.training.genetic.NeuralGenome

All Implemented Interfaces:
  Serializable, Comparable<Genome>, Genome

    public class NeuralGenome

extends BasicGenome

Implements a genome that allows a feedforward neural network to be trained using a genetic algorithm. The chromosome for a feed forward neural network is the weight and bias matrix.

See Also:
  Serialized Form

Constructor Summary
`NeuralGenome(BasicNetwork network)` Construct a neural genome.

Method Summary
`void` | `decode()` Decode the genomes into a neural network.
`void` | `encode()` Encode the neural network into genes.

Methods inherited from class org.encog.ml.genetic.genome.BasicGenome
`calculateGeneCount, compareTo, equals, getAdjustedScore, getAmountToSpawn, getChromosomes, getGeneticAlgorithm, getGenomeID, getOrganism, getPopulation, getScore, mate, setAdjustedScore, setAmountToSpawn, setGeneticAlgorithm, setGenomeID, setOrganism, setPopulation, setScore, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NeuralGenome

    public NeuralGenome(BasicNetwork network)

  Construct a neural genome.

  Parameters:
    `network` - The network to use.

Method Detail

### decode

    public final void decode()

  Decode the genomes into a neural network.

### encode

    public final void encode()

  Encode the neural network into genes.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.